Summary: Chinese (Big5) X VT100 Terminal Emulator
Name: crxvt
Version: 2.10
Release: 1
Copyright: GPL
Group: Extensions/Chinese
Source0: crxvt-2.10.tar.gz
Source1: crxvt.wm
Source2: crxvt.xpm
Packager: Cheng Yuan-Chung <platin@ms.ccafps.khc.edu.tw>
Buildroot: /var/tmp/crxvt

%description
       Crxvt  is  a Chinese (Big5) VT100 terminal emulator for X.
       It is based on rxvt, which is intended  as  a  replacement
       for  xterm(1)  for  users who do not require the more eso-
       teric features of  xterm.   Specifically  crxvt  does  not
       implement  the  Tektronix  4014 emulation, session logging
       and toolkit style configurability.   As  a  result,  crxvt
       uses  much  less  swap  space  than  xterm - a significant
       advantage on a machine serving many X sessions.

%prep

rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/usr/X11R6/bin
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/man/man1
mkdir -p $RPM_BUILD_ROOT/usr/share/icons/
mkdir -p $RPM_BUILD_ROOT/etc/X11/wmconfig  

%setup

%build

chown -R root.root .
touch src/*
touch *

./configure --prefix=$RPM_BUILD_ROOT/usr/X11R6 << EOF
b
-default-fixed-medium-r-normal--16-160-72-72-c-160-big5-0
a
8x16
s
EOF

( cd src ; make crxvt ; make install)

install -m 644 doc/man/crxvt.1 $RPM_BUILD_ROOT/usr/X11R6/man/man1/
install -m 644 $RPM_SOURCE_DIR/crxvt.xpm $RPM_BUILD_ROOT/usr/share/icons/
install -m 644 $RPM_SOURCE_DIR/crxvt.wm $RPM_BUILD_ROOT/etc/X11/wmconfig/crxvt

%files
%doc doc/ChangeLog doc/misc/* src/rc
/usr/X11R6/bin/*
/usr/X11R6/man/man1/*
/etc/X11/wmconfig/crxvt
/usr/share/icons/crxvt.xpm

%clean 

rm -rf $RPM_BUILD_ROOT

%changelog
* Sat Jan  2 1999 Cheng Yuan-Cheng <platin@cle.linux.org.tw>
- frist rebuild with crxvt alone
- for CLE v0.7
- gb encoding supported
